Name:           perl-Unicode-MapUTF8
Version:        1.11
Release:        21%{?dist}
Summary:        Conversions to and from arbitrary character sets and UTF8
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Unicode-MapUTF8/
Source0:        http://www.cpan.org/authors/id/S/SN/SNOWHARE/Unicode-MapUTF8-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:  perl-generators
%endif
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Spec)
# Module Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Jcode)
BuildRequires:  perl(strict)
BuildRequires:  perl(subs)
BuildRequires:  perl(Unicode::Map)
BuildRequires:  perl(Unicode::Map8)
BuildRequires:  perl(Unicode::String)
BuildRequires:  perl(vars)
# Test Suite
BuildRequires:  perl(lib)
# Optional Tests
BuildRequires:  perl(Test::Distribution)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
# Dependencies
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Unicode::MapUTF8 Provides an adapter layer between core routines for
converting to and from UTF8 and other encodings. In essence, a way to
give multiple existing Unicode modules a single common interface so
you don't have to know the underlying implementations to do simple
UTF8 to-from other character set string conversions. As such, it wraps
the Unicode::String, Unicode::Map8, Unicode::Map and Jcode modules in
a standardized and simple API.

%prep
%setup -q -n Unicode-MapUTF8-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%files
%doc Changes README
%dir %{perl_vendorlib}/Unicode/
%doc %{perl_vendorlib}/Unicode/MapUTF8.pod
%{perl_vendorlib}/Unicode/MapUTF8.pm
%{_mandir}/man3/Unicode::MapUTF8.3*

%changelog
* Thu Jun 16 2016 Paul Howarth <paul@city-fan.org> - 1.11-21
- Classify buildreqs by usage
- Package Changes file
- Simplify find command using -delete
- Don't need to remove empty directories from the buildroot
- Drop redundant perl default filter
- Use DESTDIR rather than PERL_INSTALL_ROOT
- Use %%{_fixperms} macro rather than our own chmod incantation
- Don't need to specify OPTIMIZE for noarch package
- Fix bogus dates in changelog

* Sun Dec 02 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 1.11-20
- Add perl default filter
- Remove no-longer-used macros

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Petr Pisar <ppisar@redhat.com> - 1.11-18
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1.11-16
- Perl mass rebuild

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.11-15
- Perl mass rebuild

* Fri Jul  8 2011 Paul Howarth <paul@city-fan.org> - 1.11-14
- Add perl(:MODULE_COMPAT_*) dependency

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 23 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.11-12
- Rebuild to fix problems with vendorarch/lib (#661697)

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.11-11
- Mass rebuild with perl-5.12.0

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu May 22 2008 Paul Howarth <paul@city-fan.org> 1.11-8
- rebuild for Fedora 9 (#447921)
- add buildreqs Test::More, Test::Pod, Test::Pod::Coverage, and
  Test::Distribution for better test coverage

* Thu Dec  6 2007 Paul Howarth <paul@city-fan.org> 1.11-7
- simplify package build in line with perl spec template
- no need to define %%{perl_vendorlib}
- refactor buildreqs to support build on EL4/5
- mark pod as %%doc
- use %%{version} macro in source URL

* Thu Sep 27 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.11-6
- fix license tag again (thanks Tom)

* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.11-5
- fix license tag (like perl itself)

* Mon Aug 13 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.11-4
- BR: perl-devel

* Sun Oct 29 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.11-2
- rebuild

* Sun Oct 29 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.11-2
- perl-Unicode-Map8 builds on x86_64 now, rebuilding

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.11-1
- update to 1.11

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.09-6
- rebuild for FC5
- ExcludeArch x86_64 because perl-Unicode-Map8 does not work on this arch

* Wed Apr  6 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.4
- Reduce directory ownership bloat.

* Sat Oct 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.3
- Install into vendor dirs.
- Specfile cleanup.

* Mon Jul  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.2
- Regenerate %%install section with cpanflute2.
- Improve %%description.

* Wed May  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.1
- Update to current Fedora guidelines.

* Sun Mar  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.09-1.fedora.1
- First Fedora release.
